function [ ] = robotDriveCircle( robot, velocity, radius, distance )
    v = java.lang.Double(velocity);
    r = java.lang.Double(radius);
    d = java.lang.Double(distance);

    robot.iface.invoke('driveCircle', {v r d});